function love.load()
	player = 
		{
			x = 100,
			y = 100,
			xvel = 0,
			yvel = 0,
			width = 32,
			height = 32,
			canFall = true
		}
		
		
	ground = 
		{
			x = 0,
			y = 500,
			width = love.window.getWidth(),
			height = 32
		}
		
	otherGround = 
		{
			x = 0,
			y = 400,
			width = 128,
			height = 32
		}
		gravity = 1034
end

function love.update(dt)
	if player.canFall then
		player.yvel = player.yvel + gravity * dt
	end
	player.y = player.y + player.yvel * dt
	player.x = player.x + player.xvel * dt
	
	if collision(player.x, player.y, player.width, player.height, ground.x, ground.y, ground.width, ground.height) then
		player.yvel = 0
		player.canFall = false
		player.y = player.y
	end
	
	if collision(player.x, player.y, player.width, player.height, otherGround.x, otherGround.y, otherGround.width, otherGround.height) then
		player.yvel = 0
		player.canFall = false
		player.y = player.y
	end
	
	
	if love.keyboard.isDown("a") then
		player.xvel = -300
	end
	if love.keyboard.isDown("d") then
		player.xvel = 300
	end
end

function love.keypressed(key)
	if not player.canFall then 
		if key == " " then
			player.yvel = -600
			player.canFall = true
		end
	end
end

function love.keyreleased(key)
	if key == "a" then
		player.xvel = 0
	elseif key == "d" then
		player.xvel = 0
	end
end

function collision(x1,y1,w1,h1, x2,y2,w2,h2)
	return x1 < x2+w2 and
			x2 < x1+w1 and
			y1 < y2+h2 and
			y2 < y1+h1
end

function love.draw()
	love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
	
	love.graphics.rectangle("fill", ground.x, ground.y, ground.width, ground.height)
	
	love.graphics.rectangle("fill", otherGround.x, otherGround.y, otherGround.width, otherGround.height)
end
